#include "Vektor1.h"
#include<iostream>
using namespace std;


Vektor1::Vektor1(int _n) : n(_n)
{
	cout << "konstruktor vektoru delky " << n << endl;
	a = new double[n];
	// inicializace:
	for (int i = 0; i < n; i++)
		a[i] = 0;
}
Vektor1::Vektor1(Vektor1 &v) : n(v.n)
{
	cout << "kopirovaci konstruktor vektoru delky " << n << endl;
	//a = v.a; // NE!
	a = new double[n];
	for (int i = 0; i < n; i++)
		a[i] = v.a[i];
}
void Vektor1::vypis()
{
	for (int i = 0; i < n; i++)
		cout << a[i] << " ";
	cout << endl;
}
void Vektor1::nastav()
{
	for (int i = 0; i < n; i++)
		a[i] = 1;
}
void Vektor1::pricti1(const Vektor1 &v)
{
	for (int i = 0; (i < n) && (i < v.n); i++)
		a[i] += v.a[i];
}
void Vektor1::pricti(Vektor1 v)
{
	for (int i = 0; (i < n) && (i < v.n); i++)
		a[i] += v.a[i];
}
Vektor1& Vektor1::operator =(const Vektor1 &v)
{
	for (int i = 0; (i < n) && (i < v.n); i++)
		a[i] = v.a[i];
	return *this;
}
double& Vektor1::operator [](int i)
{
	if (i < 0 || i >= n)
		throw 1;
	return a[i];
}
Vektor1::~Vektor1()
{
	cout << "destruktor vektoru delky " << n << endl;
	delete[] a;
}
